Subject: Re: SDP (s=,t=) fields and PINT

From: [email-masked] (Igor Faynberg)
Date: Mon, 23 Aug 1999 12:54:00 -0400

>IF the parser is strictly following RFC 2327, it rejects all the PINT
>messages, which have no "Session name" ('s='-field in SDP),
>as it is missing in the examples of the current PINT Internet Draft.
>
>Or is there somewhere something specified which would allow the omission
>of the 's=' (and 't=') field and which I don't know about...?
>
>t. Bernie
>
>

Bernie,

You have a good point.

Thanks for vigilance and for trying things out! 

Naturally, as PINT specifies extensions to SIP/SDP, it MUST require that all
mandatory entries of RFC 2327 be filled in WHEN the PINT messages is passed
to a SIP/SDP processor. Perhaps the straight-forward way to implement
PINT is to provide an add-on to the existing SIP/SDP parsers. One way to get 
that done is to have the PINT module to strip the PINT-specific stuff and 
populate the SIP/SDP-mandatory fields that are otherwise non-essential to PINT,
but this is an implementation decision that most likely should be out of
the scope of standards specification. In fact, the present draft does not
specify an implementation model, and I would not mind if it stays this way.

Igor

>---------
>This message came from the IETF PINT Working Group Mailing List.
>

---------
This message came from the IETF PINT Working Group Mailing List.

---

From: "Tom-PT Taylor" <[email-masked]>
Date: Tue, 24 Aug 1999 01:19:38 -0500

Just as a further note, Megaco is in exactly the same difficulty.  We make
liberal use of those pieces of SDP which suit us, but not the rest.  

> -----Original Message-----
> From:	[email-masked] [SMTP:[email-masked]]
> Sent:	Monday, August 23, 1999 12:54 PM
> To:	Bernie Höneisen; Igor Faynberg
> Cc:	[email-masked]
> Subject:	Re: SDP (s=,t=) fields and PINT
> 

---------